Bug 1202286 - maven: missing libs in ${M2_HOME}/lib may cause java.lang.NoClassDefFoundError
Summary: maven: missing libs in ${M2_HOME}/lib may cause java.lang.NoClassDefFoundError
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: maven
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Srb
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/mesos/chronos/issu...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-16 10:06 UTC by Michal Srb
Modified: 2015-04-02 15:33 UTC (History)
6 users (show)

Fixed In Version: maven-3.1.1-14.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-26 21:48:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Michal Srb 2015-03-16 10:06:31 UTC
Description of problem:

maven-wagon 2.5 introduced several new dependencies:
commons-lang
commons-io
jsoup

These need to be symlinked to ${M2_HOME}/lib, otherwise user may get java.lang.NoClassDefFoundError.

Version-Release number of selected component (if applicable):
all F20+

Comment 1 Fedora Update System 2015-03-16 19:09:53 UTC
maven-3.2.5-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/maven-3.2.5-3.fc22

Comment 2 Fedora Update System 2015-03-16 19:10:46 UTC
maven-3.2.2-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/maven-3.2.2-3.fc21

Comment 3 Fedora Update System 2015-03-16 19:12:37 UTC
maven-3.1.1-14.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/maven-3.1.1-14.fc20

Comment 4 lnie 2015-03-17 05:44:56 UTC
maven-3.2.5-3.fc22 works

Comment 5 Fedora Update System 2015-03-18 10:22:34 UTC
Package maven-3.1.1-14.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing maven-3.1.1-14.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4033/maven-3.1.1-14.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-03-26 21:48:46 UTC
maven-3.2.5-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-04-02 15:33:10 UTC
maven-3.2.2-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-04-02 15:33:53 UTC
maven-3.1.1-14.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.